Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAEV2

    java.lang.Object
      org.netlib.lapack.DLAEV2

    public class DLAEV2

extends java.lang.Object

    DLAEV2 is a simplified interface to the JLAPACK routine dlaev2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAEV2 computes the eigendecomposition of a 2-by-2 symmetric matrix
     *     [  A   B  ]
     *     [  B   C  ].
     *  On return, RT1 is the eigenvalue of larger absolute value, RT2 is the
     *  eigenvalue of smaller absolute value, and (CS1,SN1) is the unit right
     *  eigenvector for RT1, giving the decomposition
     *
     *     [ CS1  SN1 ] [  A   B  ] [ CS1 -SN1 ]  =  [ RT1  0  ]
     *     [-SN1  CS1 ] [  B   C  ] [ SN1  CS1 ]     [  0  RT2 ].
     *
     *  Arguments
     *  =========
     *
     *  A       (input) DOUBLE PRECISION
     *          The (1,1) element of the 2-by-2 matrix.
     *
     *  B       (input) DOUBLE PRECISION
     *          The (1,2) element and the conjugate of the (2,1) element of
     *          the 2-by-2 matrix.
     *
     *  C       (input) DOUBLE PRECISION
     *          The (2,2) element of the 2-by-2 matrix.
     *
     *  RT1     (output) DOUBLE PRECISION
     *          The eigenvalue of larger absolute value.
     *
     *  RT2     (output) DOUBLE PRECISION
     *          The eigenvalue of smaller absolute value.
     *
     *  CS1     (output) DOUBLE PRECISION
     *  SN1     (output) DOUBLE PRECISION
     *          The vector (CS1, SN1) is a unit right eigenvector for RT1.
     *
     *  Further Details
     *  ===============
     *
     *  RT1 is accurate to a few ulps barring over/underflow.
     *
     *  RT2 may be inaccurate if there is massive cancellation in the
     *  determinant A*C-B*B; higher precision or correctly rounded or
     *  correctly truncated arithmetic would be needed to compute RT2
     *  accurately in all cases.
     *
     *  CS1 and SN1 are accurate to a few ulps barring over/underflow.
     *
     *  Overflow is possible only if RT1 is within a factor of 5 of overflow.
     *  Underflow is harmless if the input data is 0 or exceeds
     *     underflow_threshold / macheps.
     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`DLAEV2()`

Method Summary
`static void` | `DLAEV2(double a, double b, double c, doubleW rt1, doubleW rt2, doubleW cs1, doubleW sn1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAEV2

    public DLAEV2()

Method Detail

### DLAEV2

    public static void DLAEV2(double a,
                              double b,
                              double c,
                              doubleW rt1,
                              doubleW rt2,
                              doubleW cs1,
                              doubleW sn1)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD